using System.Collections.Generic;

namespace SlatedGameToolkit.Framework.Graphics.Window
{
    internal static class WindowManager {
        private static Dictionary<uint, WindowHandle> existingWindows = new Dictionary<uint, WindowHandle>();

        internal static void RegisterWindow(WindowHandle windowHandle) {
            GameEngine.Logger.Debug("Registering window: " + windowHandle.GetWindowID());
            existingWindows.Add(windowHandle.GetWindowID(), windowHandle);
        }
        
        internal static void DeregisterWindow(WindowHandle windowHandle) {
            GameEngine.Logger.Debug("Deregistering window: " + windowHandle.GetWindowID());
            existingWindows.Remove(windowHandle.GetWindowID());
        }

        internal static WindowHandle HandleFromID(uint ID) {
            return existingWindows[ID];
        }
    }
}